
/* ROOT */

:root {

    /* Espacios */
  
    --space-xs: 8px;
    --space-sm: 16px;
    --space-md: 24px;
    --space-lg: 32px;
    --space-xl: 48px;

    /* Colores */

    --primary-black-color: #262626;
    --secondary-black-color: #3B3838;


    --primary-white-color: #FAFAFA;
    --secondary-white-color: #F5F5F5 ;
    --tertiary-white-color: #F9F4F2;

    --primary-gray-color: #323232;
    --secundary-gray-color: #535353;

    /* Font Sizes */

    --font-xs: 10px;
    --font-sm: 14px;
    --font-md: 18px;
    --font-lg: 24px;
    --font-xl: 32px;

    /* Border Radius */

    --radius-sm: 4px;
    --radius-md: 8px;
    --radius-lg: 16px;
    --radius-xl: 32px;

    color-scheme: light;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  
}

html{
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

body {
  font-family: Arial, sans-serif;
  background-color: var(--primary-white-color);
  color: var(--primary-black-color);
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
  padding-bottom: 0%;
}

.nav-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 120px;
}

.logo img {
  height: 90px;
}

.nav {
  flex: 1;
  display: flex;
  justify-content: center;
  
}

.nav-list {
  display: flex;
  list-style: none;
  gap: 30px;
  
}

.nav-list a {
  text-decoration: none;
  color: var(--primary-color);
  font-weight: bold;
}

.nav-extra {
  display: flex;
  align-items: center;
  gap: 15px;
}

.flag {
  width: 30px;
}

.social {
  width: 32px;
  padding: 1px;
}

.hero {
    position: relative;    
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 600px;
    display: flex;
    align-items: center;
    padding: 80px 0;
    text-align: center;
}

.hero::before{
    content: "";
    position: absolute;
    inset: 0;
}

.hero .container{
    position: relative;
    color: white;
}

.hero--home::before{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(28, 28, 27, 0.500);
}

.hero--home{
  background-image: url("../img/BG02_Perfil_Silla_Home.jpg");
}

.hero--perfil{
  background-image: url("../img/BG01_Hoja_Home_Perfil.jpg");
}

.hero--services{
  background-image: url("../img/BG09_Laptop.jpg");
}

.hero--contact{
  background-image: url("../img/BG13_mockup_amo.jpg");
}

.hero h1 {
margin: var(--space-md);
}

.hero h2 {
margin: var(--space-md);
}

.img_cardperfil{  
  width: 64px;
}

.img_cardservicios{  
  width: 48px;
}

.img_cardindex{
  margin-bottom: 20px
}

.img_border{
  border-radius: 5%;
}

p {
  margin-bottom: var(--space-md);
  font-size: var(--font-md);
  line-height: 1.6;
}

p:last-child {
  margin-bottom: 0;
}

.section {
  
  padding-top: 60px;
  padding-bottom: 60px;
}

.section li{
    margin-bottom: var(--space-md);
}

.p-maxwidth{
  max-width:120ch;
}

.mg_b-0 {
    margin-bottom: 0px;
}

.mg_b-20{
    margin-bottom: 2rem;
}

.mg_b-40{
    margin-bottom: 40px;
}

.mg_t-20{
 margin-top: 20px;
}

.mg_t-40{
 margin-top: 40px;
}

.mg_tp-40{
  margin-top: 40px;
  margin-bottom: 40px;
}

.pd_b_3rem{
    padding-bottom: 3rem;
}

.pd_b-20{
    padding-bottom: 20px;
}

.pd-10 {
  padding: 10px;
}

.pd-20 {
  padding: 20px;
}

.pd_t-40{
    padding-top: 40px;
}

.pd_t-20{
    padding-top: 20px;
}

.pd_tb-20 {
  padding-bottom: 20px;
  padding-top: 20px;
}

.pd_tb-40 {
  padding-top: 40px;
  padding-bottom: 40px;
}

.min_section_pd{
  padding-top: 80px;
  padding-bottom: 80px;
}

.pd-40{
    padding: 40px;
}

.pd_right-40{
  padding-right:  40px;
}

.pd_left-40{
  padding-left: 40px;
}

.pd_left-20{
  padding-left: 20px;
}

.width-90{
    width: 90%;
}

.width-45{
    width: 45%;
}
.width-100{
    width: 100%;
}

.h2-size{
  font-size: var(--font-xl);
}

.mg-20{
 margin: 1.25rem;
}

.pd_b-90{
    padding-bottom: 90px;
}

.pd_t-0{
    padding-top: 0;
}

.width-30{
    width: 30%;
}

.section-black-primary{
  background-color: var(--primary-black-color);
  color: var(--primary-white-color);
}

.section-black-secondary{
  background-color: var(--secondary-black-color);
  color: var(--secondary-white-color);
}

.section-gray-primary{
  background-color: var(--primary-gray-color);
  color: var(--primary-white-color);
}

.section-gray-secondary{
  background-color: var(--secundary-gray-color);
  color: var(--secondary-white-color);
}

.section-white-primary{
  background-color: var(--primary-white-color);
}

.section-white-secondary{
  background-color: var(--secondary-white-color);
}

.section-white-tertiary{
  background-color: var(--tertiary-white-color);
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}  

.text-right {
    text-align: right;
}   

.grid {
    display: grid;
    gap: 16px;
    margin-bottom: var(--space-text-large);
}

.grid-2{
    grid-template-columns: repeat(2, 1fr);
}

.grid-3{
    grid-template-columns: repeat(3, 1fr);
}

.grid-4{
    grid-template-columns: repeat(4, 1fr);
}

.grid-5{
    grid-template-columns: repeat(5, 1fr);
}

.card{
    
    border-radius: var(--radius-md);  
    transition: all 0.3s ease;    
    padding: var(--space-text-medium);
}

.card-title{
    font-size: var(--font-lg);
    margin-bottom: var(--space-text-small);
}

.card img {
    width: 100%;
    border-radius: 8px
}

.card-perfil{
    text-align: center;
    border-radius: var(--radius-md);  
    transition: all 0.3s ease;
    padding: var(--space-sm);
    border-color: #3B3838;
    border-style: solid;
    
}

.card-services {
    background: #262626 ;
    display: flex;
    align-items: flex-start;
    gap: 15px;
    padding: 20px;
    border-radius: 12px;
    background: #f5f5f5;
    transition: 0.3s;
}

.card-services:hover {
    transform: translateY(-3px);
}

.card-services img {
    width: 40px;
    height: 40px;
}

.card-services h3 {
    margin: 0;
    font-size: 18px;
}

.card-services p {
    margin: 5px 0 0;
    font-size: 14px;
}

.section-black-primary .card-services {
  
    color: var(--primary-black-color);
}

.btn {
  display: inline-block;
  padding: 8px 16px;
  border-radius: 32px;
  text-decoration: none;
  font-size: 14px;
  background-color: #1C1C1B;
}

.btn--primary {
  border: 1px solid rgb(0, 0, 0);
  color: rgb(248, 248, 248);
  transition: all 0.3s ease;
}

.btn--primary:hover {
  background: white;
  color: #1C1C1B;
}

.btn--secundary {
  border: 1px solid rgb(255, 255, 255);
  color: rgb(255, 255, 255);
  transition: all 0.3s ease;
}

.btn--secundary:hover {
  background: rgb(0, 0, 0);
  color: #ffffff;
}
ul{
  padding-left: 20px;
}

.ulexample{
  padding-left: 38px;
}

ul li{
  font-size: var(--font-md);
  
}

.nonlist {
  list-style: none;
}

li::marker{
  padding-left: 20px;
}

.footer {
  background: var(--primary-black-color);
  color: var(--primary-white-color);
  padding: 60px 0;
}

.footer-grid-3 {
    grid-template-columns: repeat(3, 1fr);
    gap: 120px ;
}

.footer p{
    font-size: var(--font-sm);
    line-height: 1.5;
}

.footer ul{
  padding-left: 0px;
}

footer li {
  font-size: var(--font-sm);
    list-style: none;
    text-align: left;
    line-height: 1.5;
}

.footer .btn {
  margin: 0px;
}

.iconsFooter{
  display: flex;
  gap: 10px;
}

details {
  border-radius: 0.5rem;
  padding: 20px 10px;
  
  transition: 50ms;
}

details[open] {
    padding-bottom: 1em;
}  

summary::before,
summary::after {
    transition: 200ms;
  }

  .summaryServices{
    padding-left: 20px;
    
  }

  .summaryServices h3{
    font-size: 20px;
  }

@layer markers {
  summary{
  position: relative;
  } 
  summary::marker{
  content: none;
  }
  summary::before,
  summary::after{
  content: '';
  }
  summary::before,
  summary::after {
    width: .75em;
    height: 0;
    border-bottom: 2px solid;
    position: absolute;
    top: calc(50% - 1px);
    right: 25%;
    transform: translateY(-50%);
  }
  summary::after{
  transform: rotate(90deg);
  transform-origin: 50% 50%;
  }
  [open] summary::after {
  transform: rotate(0deg);
  }
}

.align_Center{
    display: flex;
    align-items: center;
    justify-content: center;
}


.info_contact li {
    display: flex;
    align-items: center; 
    gap: 12px;           
    margin-bottom: 15px;
}

.info_contact .social {
    flex-shrink: 0;
}

.icons_socialContact{
    display: flex;
    gap: 10px;
}

.ul_contact{
      padding-left: 0px;
    }




    .menu-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 2rem;
    color: black; /* Cambia el color si tu header es claro */
}

.header {
    position: relative;
}











@media (max-width:1280px) {

  .footer-grid-3 {
    grid-template-columns: repeat(3, 1fr);
    gap: 0px ;
  }

  .h3-size{
    font-size: 18px;
  }

  .footer .btn {
  margin: 0px;
  font-size: 12px;
}
  
}




@media (max-width:720px){
  
.logo img {
    height: 64px;
  }

  .nav-list {
    flex-wrap: balance;
    gap: 16px;
  }

  .pd-20 {
    padding: 20px 0;
  }

  .grid-4 {
    grid-template-columns: repeat(1, 1fr);
  }
  .grid-3{
    grid-template-columns: repeat(1, 1fr);
  }
  .grid-2 {
    grid-template-columns: repeat(1, 1fr);
  }

  .footer-grid-3 {
    grid-template-columns: repeat(1, 1fr);
    gap: 0px ;
  }

  .width-90 {
    width: 90%;
    margin-bottom: 40px;
  }

  .card-title {
    font-size: var(--font-lg);    
    margin-bottom: var(--space-text-small);
    margin: 0px 30px;
  }

  .width-45 {
    padding-top: 20px;
    width: 70%;
  }
  .width-50 {
    padding-top: 3px;
      width: 50px;
    }
  .pd_right-40 {
    padding-right: 0px;
    padding-bottom: 20px;
  }

  .pd_left-40 {
    padding-top: 20px ;
    padding-left: 0px;
  }

  .description_contact p{
  text-align: left;
  }

    .info_contact ul{
      padding: 0;
    }

  .align_Center{
    display: flex;
    align-items: center;
    justify-content: left;
}

.footer .btn {
  margin: 0px;
  font-size: 14px;
}




    .menu-toggle {
        display: block;
    }

.nav {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;

    background: #b5ada1e6;

    justify-content: center;
    padding: 20px 0;

    z-index: 1000;
}

.nav.active {
    display: flex;
}

.nav-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

}

















@media (max-width:480px){
  .logo img {
    height: 64px;
  }

  .nav-list {
    flex-wrap: balance;
    gap: 16px;
  }

  .pd-20 {
    padding: 20px 0;
  }

  .grid-4 {
    grid-template-columns: repeat(1, 1fr);
  }
  .grid-3{
    grid-template-columns: repeat(1, 1fr);
  }
  .grid-2 {
    grid-template-columns: repeat(1, 1fr);
  }

  .footer-grid-3 {
    grid-template-columns: repeat(1, 1fr);
    gap: 0px ;
  }

  .width-90 {
    width: 90%;
    margin-bottom: 40px;
  }

  .card-title {
    font-size: var(--font-lg);    
    margin-bottom: var(--space-text-small);
    margin: 0px 30px;
  }

  .width-45 {
    padding-top: 20px;
    width: 70%;
  }
  .pd_right-40 {
    padding-right: 0px;
    padding-bottom: 20px;
  }

  .pd_left-40 {
    padding-top: 20px ;
    padding-left: 0px;
  }

  .description_contact p{
  text-align: left;
  }

    .info_contact ul{
      padding: 0;
    }

    .align_Center{
    display: flex;
    align-items: center;
    justify-content: left;
}
  
}





